package com.gic.haoban.manage.api.dto.qdto.role;

import java.io.Serializable;

/**
 * 好办小程序权限(TabHaobanRole)实体类
 *
 * @author mozhu
 * @since 2022-09-06 16:35:07
 */
public class HaobanRoleQDTO implements Serializable {

    private static final long serialVersionUID = 554109287178364863L;

    /**
     * 权限名称
     */
    private String roleName;

    /**
     * 导购权限
     */
    private HaobanRoleMenuQDTO clerkMenus;
    /**
     * 店长
     */
    private HaobanRoleMenuQDTO manegeClerkMenus;
    /**
     * 区经
     */
    private HaobanRoleMenuQDTO managerMenus;

    private String wxEnterpriseId;

    private Integer systemFlag;

    public String getRoleName() {
        return roleName;
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }

    public HaobanRoleMenuQDTO getClerkMenus() {
        return clerkMenus;
    }

    public void setClerkMenus(HaobanRoleMenuQDTO clerkMenus) {
        this.clerkMenus = clerkMenus;
    }

    public HaobanRoleMenuQDTO getManegeClerkMenus() {
        return manegeClerkMenus;
    }

    public void setManegeClerkMenus(HaobanRoleMenuQDTO manegeClerkMenus) {
        this.manegeClerkMenus = manegeClerkMenus;
    }

    public HaobanRoleMenuQDTO getManagerMenus() {
        return managerMenus;
    }

    public void setManagerMenus(HaobanRoleMenuQDTO managerMenus) {
        this.managerMenus = managerMenus;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public Integer getSystemFlag() {
        return systemFlag;
    }

    public void setSystemFlag(Integer systemFlag) {
        this.systemFlag = systemFlag;
    }
}

